Get IDPS Signatures

Get IDPS Signatures
Download IDPS signatures based on version

Download IDPS (Intrusion Detection and Prevention System) signatures based on the given version. If no version is specified, the latest version will be returned by default.

This endpoint requires authentication using a JWT token obtained from the authentication endpoint. The token must be included in the Authorization header.

Request
URI
GET
https://{api_host}/2.0/intrusion-services/signatures
COPY
Query Parameters
string
signature_version
Optional

Optional signature version number. If not provided, the latest version will be returned.

string
version_name
Optional

Optional version name (e.g., "IDPSSignatures.1.2021-03-21T23:59:59Z"). If provided, this takes precedence over signature_version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns IdpsSignaturesResponse of type(s) application/json
{
    "signatures_url": "string",
    "version": "string",
    "sha256_checksum": "string",
    "last_updated": "string",
    "version_name": "string"
}
string
signatures_url
Optional

URL to download the signatures bundle.

string
version
Optional

Signature version number.

string
sha256_checksum
Optional

SHA256 checksum of the signatures bundle for verification.

string
last_updated
Optional

Timestamp indicating when the signatures were last updated.

string
version_name
Optional

Full version name identifier (e.g., "IDPSSignatures.1.2021-03-21T23:59:59Z").


default

Error Response

Returns Error of type(s) application/json
{
    "error_code": 0,
    "error_message": "string"
}
integer As int32 As int32
error_code
Required  

HTTP Status or Application error code.

Error Code Ranges:

  • 100000: Unknown/Internal errors
  • 100001-100025: General validation errors
  • 100101-100150: Re-registration errors (same clientId)
  • 100151-100200: Re-registration errors (new clientId)
  • 100201-100202: License-related errors
string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/2.0/intrusion-services/signatures